ApiFuseApiFuse
API Reference

카카오맵 자동차 길찾기

출발지에서 목적지까지의 자동차 경로를 조회합니다.

카카오맵 자동차 길찾기

출발지·목적지 좌표로 자동차 경로의 거리(m), 소요시간(초), 예상 요금을 반환합니다.

엔드포인트

GET /v1/kakaomap-car-directions

Upstream

  • Base URL: https://app.map.kakao.com
  • Path: /route/carset/mobility.json

요청 파라미터

파라미터타입필수기본값설명
origin_latnumber-출발지 위도
origin_lngnumber-출발지 경도
dest_latnumber-목적지 위도
dest_lngnumber-목적지 경도
prioritystring-경로 우선순위

요청 예시

{
  "origin_lat": 37.554722,
  "origin_lng": 126.970833,
  "dest_lat": 37.394287,
  "dest_lng": 127.111152,
  "priority": "RECOMMEND"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "distance_m": {
      "type": "number"
    },
    "duration_sec": {
      "type": "number"
    },
    "fare": {
      "type": "number"
    }
  },
  "required": [
    "distance_m",
    "duration_sec"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "request": {
      "origin": "126.970833,37.554722",
      "destination": "127.111152,37.394287",
      "priority": "RECOMMEND"
    },
    "status": {
      "code": "SUCCESS"
    },
    "results": [
      {
        "safeties_exist": true,
        "roadevents_exist": false,
        "summary": {
          "distance": 25840,
          "duration": 2140,
          "fare": {
            "taxi": 28600,
            "toll": 1000
          }
        }
      }
    ]
  },
  "pagination": null,
  "meta": {
    "source": "kakaomap-car-directions",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page